AbstractFindByPersistentMethod (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class AbstractFindByPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractClausedStaticPersistentMethod
                  org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractFindByPersistentMethod

    public abstract class AbstractFindByPersistentMethod
    extends AbstractClausedStaticPersistentMethod

Field Summary
`static java.lang.String[]` | `OPERATORS`
`static java.lang.String` | `OPERATOR_AND`
`static java.lang.String` | `OPERATOR_OR`

Fields inherited from class AbstractStaticPersistentMethod
application

Constructor Summary
`AbstractFindByPersistentMethod(HibernateDatastore datastore, GrailsApplication application, org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, java.util.regex.Pattern pattern, java.lang.String[] operators)`

Method Summary
`protected org.hibernate.Criteria` | `buildCriteria(org.hibernate.Session session, grails.gorm.DetachedCriteria detachedCriteria, groovy.lang.Closure additionalCriteria, java.lang.Class clazz, java.lang.Object[] arguments, java.lang.String operator, java.util.List expressions)`
`protected java.lang.Object` | `doInvokeInternalWithExpressions(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments, java.util.List expressions, java.lang.String operatorInUse, grails.gorm.DetachedCriteria detachedCriteria, groovy.lang.Closure additionalCriteria)`
`protected boolean` | `firstExpressionIsRequiredBoolean()` Indicates if the first expression in the query is a required boolean property and as such should be ANDed to the other expressions, not ORed.
`protected java.lang.Object` | `getResult(org.hibernate.Criteria crit)`
`protected java.lang.Object` | `getResult(org.hibernate.Criteria crit, boolean useLimit)`

Methods inherited from class AbstractClausedStaticPersistentMethod
AbstractClausedStaticPersistentMethod, doInvokeInternal, doInvokeInternal, doInvokeInternal, doInvokeInternalWithExpressions

Methods inherited from class AbstractStaticPersistentMethod
doInvokeInternal, doInvokeInternal, getCriteria, getHibernateTemplate, invoke, invoke, invoke

Methods inherited from class AbstractStaticMethodInvocation
getPattern, invoke, isMethodMatch, setPattern, setPattern, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### OPERATORS

    public static final java.lang.String[] OPERATORS

### OPERATOR_AND

    public static final java.lang.String OPERATOR_AND

### OPERATOR_OR

    public static final java.lang.String OPERATOR_OR

Constructor Detail

### AbstractFindByPersistentMethod

    public AbstractFindByPersistentMethod(HibernateDatastore datastore, GrailsApplication application, org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, java.util.regex.Pattern pattern, java.lang.String[] operators)

Method Detail

### buildCriteria

    protected org.hibernate.Criteria buildCriteria(org.hibernate.Session session, grails.gorm.DetachedCriteria detachedCriteria, groovy.lang.Closure additionalCriteria, java.lang.Class clazz, java.lang.Object[] arguments, java.lang.String operator, java.util.List expressions)

### doInvokeInternalWithExpressions

    @SuppressWarnings("rawtypes")
    @Override
    protected java.lang.Object doInvokeInternalWithExpressions(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments, java.util.List expressions, java.lang.String operatorInUse, grails.gorm.DetachedCriteria detachedCriteria, groovy.lang.Closure additionalCriteria)

### firstExpressionIsRequiredBoolean

    protected boolean firstExpressionIsRequiredBoolean()

  Indicates if the first expression in the query is a required boolean property and as such should be ANDed to the other expressions, not ORed.
  Returns:
    true if the first expression is a required boolean property, false otherwise
  See Also:
    FindByBooleanPropertyPersistentMethod

### getResult

    protected java.lang.Object getResult(org.hibernate.Criteria crit)

### getResult

    protected java.lang.Object getResult(org.hibernate.Criteria crit, boolean useLimit)

Groovy Documentation